tidyverse (ggplot, tidyr und dplyr), R und Mac Yosemite

Wie erweitere ich R um eigene Funktionen oder Pakete? Welches Paket ist passend für meine Fragestellung?

Moderatoren: EDi, jogo

Antworten
flip_0207
Beiträge: 3
Registriert: Do Dez 06, 2018 7:46 pm

tidyverse (ggplot, tidyr und dplyr), R und Mac Yosemite

Beitrag von flip_0207 » Do Dez 06, 2018 7:56 pm

Hallo

Für meine Masterarbeit und die Aufarbeitung der Daten nutze ich R. Da mein Mac schon etwas älter ist, aber stabil mit Yosemite (10.10.4) läuft, nutze ich momentan R (3.3.3) und RStudio (1.1.463). Für die eigentliche Datenanalyse brauche ich das Paket tidyverse, insbesondere die Teilpakete ggplot, tidyr und dplyr. Da tidyverse R 3.3.3 nicht unterstützt, habe ich die Pakete ggplot und tidyr installiert. Diese laufen bisher auch zufriedenstellend. Leider konnte ich dplyr bisher nicht installieren, da selbst die älteste Version, die ich gefunden habe, scheinbar nicht mit meiner R Version kompatibel ist.
Da ich unbedingt vermeiden möchte meinen Mac neu aufzusetzen und/oder eine neue Version des Betriebssystems zu installieren, suche ich jetzt nach Alternativen:

-Gibt es eine neuere Version von R und / oder RStudio, die mit Mac Yosemite laufen und tidyverse unterstützen?
-Gibt es eine Version von tidyverse oder dplyr, die mit der beschriebenen Konfiguration funktionieren?

Vielleicht hatte ja noch jemand das Problem und kann helfen.

Gruß, Flip

Benutzeravatar
EDi
Beiträge: 693
Registriert: Sa Okt 08, 2016 3:39 pm

Re: tidyverse (ggplot, tidyr und dplyr), R und Mac Yosemite

Beitrag von EDi » Do Dez 06, 2018 8:31 pm

Alles was dplyr kann, geht auch mit base-r (ist nur tlw. aufwändiger).

dplyr hat als abhängigkeit R (>= 3.1.2), was ist der genaue Fehler beim installieren?

Alle alten versionen gibts im CRAN archiv https://cran.r-project.org/src/contrib/Archive/dplyr/
Bitte immer ein reproduzierbares Minimalbeispiel angeben. Meinungen gehören mir und geben nicht die meines Brötchengebers wieder.

Dieser Beitrag ist lizensiert unter einer CC BY 4.0 Lizenz
Bild.

flip_0207
Beiträge: 3
Registriert: Do Dez 06, 2018 7:46 pm

Re: tidyverse (ggplot, tidyr und dplyr), R und Mac Yosemite

Beitrag von flip_0207 » Do Dez 06, 2018 9:18 pm

Danke! Die älteren Versionen von der CRAN Homepage habe ich auch versucht zu installieren. Leider bisher ohne Erfolg.
Wenn ich es über die URL installieren möchte , kommt folgender Fehler:

Code: Alles auswählen

> install.packages("https://cran.r-project.org/src/contrib/Archive/dplyr/dplyr_0.1.1.tar.gz")
Warning in install.packages :
  package ‘https://cran.r-project.org/src/contrib/Archive/dplyr/dplyr_0.1.1.tar.gz’ is not available (for R version 3.3.3)
Ansonsten zeigt R mir das hier an:

Code: Alles auswählen

> install.packages("dplyr")

  There is a binary version available but the source version is later:
      binary source needs_compilation
dplyr  0.7.4  0.7.8              TRUE

Do you want to install from sources the package which needs compilation?
y/n: y
installing the source package ‘dplyr’

versuche URL 'https://cran.rstudio.com/src/contrib/dplyr_0.7.8.tar.gz'
Content type 'unknown' length 719538 bytes (702 KB)
==================================================
downloaded 702 KB

* installing *source* package ‘dplyr’ ...
** Paket ‘dplyr’ erfolgreich entpackt und MD5 Summen überprüft
** libs
clang++ -I/Library/Frameworks/R.framework/Resources/include -DNDEBUG -I../inst/include -DCOMPILING_DPLYR -DBOOST_NO_INT64_T -DBOOST_NO_INTEGRAL_INT64_T -DBOOST_NO_LONG_LONG -DRCPP_USING_UTF8_ERROR_STRING -I/usr/local/include -I/usr/local/include/freetype2 -I/opt/X11/include -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/bindrcpp/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/plogr/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/Rcpp/include"   -fPIC  -Wall -mtune=core2 -g -O2  -c RcppExports.cpp -o RcppExports.o
In file included from RcppExports.cpp:4:
In file included from ./../inst/include/dplyr.h:6:
In file included from ../inst/include/tools/tools.h:5:
In file included from ../inst/include/tools/hash.h:10:
In file included from /Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/unordered_map.hpp:17:
In file included from /Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/unordered/unordered_map.hpp:19:
In file included from /Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/move/move.hpp:30:
In file included from /Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/move/iterator.hpp:27:
/Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/move/detail/iterator_traits.hpp:29:1: warning: inline namespaces are a C++11 feature [-Wc++11-extensions]
BOOST_MOVE_STD_NS_BEG
^
/Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/move/detail/std_ns_begin.hpp:18:34: note: expanded from macro 'BOOST_MOVE_STD_NS_BEG'
   #define BOOST_MOVE_STD_NS_BEG _LIBCPP_BEGIN_NAMESPACE_STD
                                 ^
/Library/Developer/CommandLineTools/usr/bin/../include/c++/v1/__config:364:52: note: expanded from macro '_LIBCPP_BEGIN_NAMESPACE_STD'
#define _LIBCPP_BEGIN_NAMESPACE_STD namespace std {inline namespace _LIBCPP_NAMESPACE {
                                                   ^
1 warning generated.
clang++ -I/Library/Frameworks/R.framework/Resources/include -DNDEBUG -I../inst/include -DCOMPILING_DPLYR -DBOOST_NO_INT64_T -DBOOST_NO_INTEGRAL_INT64_T -DBOOST_NO_LONG_LONG -DRCPP_USING_UTF8_ERROR_STRING -I/usr/local/include -I/usr/local/include/freetype2 -I/opt/X11/include -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/bindrcpp/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/plogr/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/Rcpp/include"   -fPIC  -Wall -mtune=core2 -g -O2  -c address.cpp -o address.o
clang++ -I/Library/Frameworks/R.framework/Resources/include -DNDEBUG -I../inst/include -DCOMPILING_DPLYR -DBOOST_NO_INT64_T -DBOOST_NO_INTEGRAL_INT64_T -DBOOST_NO_LONG_LONG -DRCPP_USING_UTF8_ERROR_STRING -I/usr/local/include -I/usr/local/include/freetype2 -I/opt/X11/include -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/bindrcpp/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/plogr/include" -I"/Library/Frameworks/R.framework/Versions/3.3/Resources/library/Rcpp/include"   -fPIC  -Wall -mtune=core2 -g -O2  -c api.cpp -o api.o
In file included from api.cpp:6:
In file included from ../inst/include/tools/hash.h:10:
In file included from /Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/unordered_map.hpp:17:
In file included from /Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/unordered/unordered_map.hpp:19:
In file included from /Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/move/move.hpp:30:
In file included from /Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/move/iterator.hpp:27:
/Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/move/detail/iterator_traits.hpp:29:1: warning: inline namespaces are a C++11 feature [-Wc++11-extensions]
BOOST_MOVE_STD_NS_BEG
^
/Library/Frameworks/R.framework/Versions/3.3/Resources/library/BH/include/boost/move/detail/std_ns_begin.hpp:18:34: note: expanded from macro 'BOOST_MOVE_STD_NS_BEG'
   #define BOOST_MOVE_STD_NS_BEG _LIBCPP_BEGIN_NAMESPACE_STD
                                 ^
/Library/Developer/CommandLineTools/usr/bin/../include/c++/v1/__config:364:52: note: expanded from macro '_LIBCPP_BEGIN_NAMESPACE_STD'
#define _LIBCPP_BEGIN_NAMESPACE_STD namespace std {inline namespace _LIBCPP_NAMESPACE {
                                                   ^

Benutzeravatar
EDi
Beiträge: 693
Registriert: Sa Okt 08, 2016 3:39 pm

Re: tidyverse (ggplot, tidyr und dplyr), R und Mac Yosemite

Beitrag von EDi » Do Dez 06, 2018 10:29 pm

Ansonsten zeigt R mir das hier an:
Ich nehme an da kommt noch mehr... Einen Fehler sehe ich nicht...
Wenn du eine lahme Kiste hast, kann das etwas dauern.
Wieso magst du nicht die binaries?

Code: Alles auswählen

 install.packages("https://cran.r-project.org/src/contrib/Archive/dplyr/dplyr_0.1.1.tar.gz")
So funktioniert install.packages() nicht.
Probier mal etwas in diese Richtung:

Code: Alles auswählen

url <- "https://cran.r-project.org/src/contrib/Archive/dplyr/dplyr_0.1.1.tar.gz"
download.file(url = url, destfile = basename(url))
install.packages(pkgs = basename(url), type = "source", repos = NULL)
Bitte immer ein reproduzierbares Minimalbeispiel angeben. Meinungen gehören mir und geben nicht die meines Brötchengebers wieder.

Dieser Beitrag ist lizensiert unter einer CC BY 4.0 Lizenz
Bild.

flip_0207
Beiträge: 3
Registriert: Do Dez 06, 2018 7:46 pm

Re: tidyverse (ggplot, tidyr und dplyr), R und Mac Yosemite

Beitrag von flip_0207 » Do Dez 06, 2018 11:34 pm

EDi hat geschrieben:
Do Dez 06, 2018 10:29 pm
Ansonsten zeigt R mir das hier an:
Ich nehme an da kommt noch mehr... Einen Fehler sehe ich nicht...
Wenn du eine lahme Kiste hast, kann das etwas dauern.
Wieso magst du nicht die binaries?

Code: Alles auswählen

 install.packages("https://cran.r-project.org/src/contrib/Archive/dplyr/dplyr_0.1.1.tar.gz")
So funktioniert install.packages() nicht.
Probier mal etwas in diese Richtung:

Code: Alles auswählen

url <- "https://cran.r-project.org/src/contrib/Archive/dplyr/dplyr_0.1.1.tar.gz"
download.file(url = url, destfile = basename(url))
install.packages(pkgs = basename(url), type = "source", repos = NULL)
Danke! Letzteres hat leider nicht funktioniert, habe das ganze jetzt nochmal so versucht:

Code: Alles auswählen

install.packages("dplyr")
Nach einer ganzen Weile war das package installiert. Komischerweise habe ich das gestern mehrfach versucht und teilweise auch etliche Minuten gewartet, aber funktioniert hat es nicht?!

Mit den binaries habe ich mich noch nicht wirklich auseinandergesetzt, da sollte ich mich mal einlesen.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 0 Gäste